<?php // $Id: client-delete.php,v 1.3 2001/10/24 19:14:10 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Include required files
require ("config.php");
require ("lib-storage.inc.php");
require ("lib-zones.inc.php");
require ("lib-statistics.inc.php");


// Security check
phpAds_checkAccess(phpAds_Admin);



/*********************************************************/
/* Main code                                             */
/*********************************************************/

if (isset($clientid) && $clientid != '')
{
	// Loop thourgh each campaign
	$res_campaign = phpAds_dbQuery("
		SELECT
			clientid
		FROM
			$phpAds_tbl_clients
		WHERE
			parent = $clientid
		") or phpAds_sqlDie();
	
	while ($row_campaign = phpAds_dbFetchArray($res_campaign))
	{
		// Loop through each banner
		$res_banners = phpAds_dbQuery("
			SELECT
				bannerid,
				format,
				banner
			FROM
				$phpAds_tbl_banners
			WHERE
				clientid = ".$row_campaign['clientid']."
			") or phpAds_sqlDie();
		
		while ($row = phpAds_dbFetchArray($res_banners))
		{
			// Cleanup webserver stored images for each banner
			if ($row['format'] == 'web' && $row['banner'] != '')
				phpAds_Cleanup (basename($row['banner']));
			elseif (ereg("^oid:([0-9]+)$", $row['banner'], $match))
				@pg_unlink($match[1]) or phpAds_sqlDie();
		}
		

	// Delete Client and recursively all
	$res = phpAds_dbQuery("
		DELETE FROM
			$phpAds_tbl_clients
		WHERE
			clientid = $clientid
		") or phpAds_sqlDie();
	
	}
}

// Rebuild zone cache
if ($phpAds_zone_cache)
	phpAds_RebuildZoneCache ();

header("Location: client-index.php");

?>
